package com.heyu.api.data.service.mobile;
/**
* <p>
* 手机号码校验记录表 服务类
* </p>
*
* @author quyixiao
* @since 2025-03-04
*/
import com.baomidou.mybatisplus.extension.service.IService;
import com.heyu.api.data.entity.mobile.MobileCheckDataEntity;
public interface MobileCheckDataService extends IService<MobileCheckDataEntity> {



	MobileCheckDataEntity selectMobileCheckDataById(Long id);


	Long insertMobileCheckData(MobileCheckDataEntity mobileCheckData);


	Long insertOrUpdateMobileCheckData(MobileCheckDataEntity mobileCheckData);


	int updateMobileCheckDataById(MobileCheckDataEntity mobileCheckData);


	int updateCoverMobileCheckDataById(MobileCheckDataEntity mobileCheckData);


	int deleteMobileCheckDataById(Long id);


}